This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1306240 - [RFE] add integration with Amazon CloudHSM
[RFE] add integration with Amazon CloudHSM
Status: NEW
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Brenton Leanhardt
Johnny Liu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-10 06:49 EST by Evgheni Dereveanchin
Modified: 2016-05-05 16:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evgheni Dereveanchin 2016-02-10 06:49:33 EST
Description of request:

Currently all certificates are generated/stored on nodes themselves. This request is to add support for CloudHSM to perform certificate generation and storage if possible.

CloudHSM is in essence a  Luna SA crypto appliance used to store/generate keys and offload cryprographic operations.

Note You need to log in before you can comment on or make changes to this bug.